Skip to main content

Check if a Domain is eligible for AuthInfo2

POST/v2/authinfo2/check-domain
API version
v2
Request method
POST
Operation ID
domain-check-authinfo2

Answers 200 with eligible = false and the reason when no AuthInfo2 can be requested for the domain. At most one reason is true. Answers 400 for a domain that is not a .de domain and 503 if DENIC is not reachable.

Request​

Responses​

Format
application/json
Description

OK

  • eligiblebooleanrequired
  • reasonsobjectrequired
    • alreadyManagedbooleanrequired

      The domain is already managed by mittwald; no AuthInfo2 is needed.

    • notRegisteredbooleanrequired

      The domain is not registered at DENIC.

    • recentlyTriggeredbooleanrequired

      An AuthInfo2 was requested for this domain within the last 30 days.

Content-Type: application/json

{
"eligible": true,
"reasons": {
"alreadyManaged": true,
"notRegistered": true,
"recentlyTriggered": true
}
}
{
"properties": {
"eligible": {
"type": "boolean"
},
"reasons": {
"properties": {
"alreadyManaged": {
"description": "The domain is already managed by mittwald; no AuthInfo2 is needed.",
"type": "boolean"
},
"notRegistered": {
"description": "The domain is not registered at DENIC.",
"type": "boolean"
},
"recentlyTriggered": {
"description": "An AuthInfo2 was requested for this domain within the last 30 days.",
"type": "boolean"
}
},
"required": [
"notRegistered",
"alreadyManaged",
"recentlyTriggered"
],
"type": "object"
}
},
"required": [
"eligible",
"reasons"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-X POST \
-d '{"domain":"string"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/authinfo2/check-domain
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.domain.checkAuthinfo2({
"data": {
"domain": "string"
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Domain\CheckAuthinfo2\CheckAuthinfo2Request;
use \Mittwald\ApiClient\Generated\V2\Clients\Domain\CheckAuthinfo2\CheckAuthinfo2RequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// CheckAuthinfo2RequestBody to learn how to construct a valid instance
$body = new CheckAuthinfo2RequestBody(/* TODO: ... */);

$request = (new CheckAuthinfo2Request(
body: $body
));
$response = $client->domain()->checkAuthinfo2($request);

var_dump($response->getBody();

On this page